Bug 693545 - RFE: Separate libgnome-desktop-3 package
Summary: RFE: Separate libgnome-desktop-3 package
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain F15Target-xfce
TreeView+ depends on / blocked
 
Reported: 2011-04-04 22:26 UTC by Christoph Wickert
Modified: 2018-07-23 20:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 693547 (view as bug list)
Environment:
Last Closed: 2012-08-07 18:10:13 UTC


Attachments (Terms of Use)

Description Christoph Wickert 2011-04-04 22:26:13 UTC
Description of problem:
gnome-desktop3 has quite a lot of big dependencies such as desktop-backgrounds-gnome. This adds a lot of overhead for packages that just require libgnome-desktop-3. A split could also make the large data part of the package noarch. No changes to comps are required because gnome-desktop3 would require both gnome-desktop3-libs and -data.

Version-Release number of selected component (if applicable):
gnome-desktop3-2.91-93-1.fc15

Comment 1 Christoph Wickert 2011-04-04 22:30:09 UTC
Removing automatically created blocker on bug 693547. The problem however is the same.

Comment 2 Richard Hughes 2011-04-05 08:19:04 UTC
From a 40,000ft point of view, I don't think it's unreasonable for gnome-desktop3 to pull in other core GNOME deps. I'm assuming an app that depends on gnome-desktop3 wants to be put in xfce but I'm not sure that's a good idea.

Comment 3 Christoph Wickert 2011-04-05 09:35:08 UTC
> (In reply to comment #2)
> From a 40,000ft point of view, I don't think it's unreasonable for
> gnome-desktop3 to pull in other core GNOME deps.

Not for gnome-desktop(3) but for the things that depend on it because they require libgnome-desktop. There is no reason why e.g. icewm-gnome (support for GNOME menus in IceWM), cheese or nautilus etc. need to require *everything* that is in the gnome-desktop(3) package *plus* it's deps. If I just install cheese in a desktop but GNOME, I will never never see gnome-about or the gnome-desktop wallpapers.

gnome-desktop and gnome-desktop3 both have a lot of noarch data. Even worse are the depende
> I'm assuming an app that
> depends on gnome-desktop3 wants to be put in xfce but I'm not sure that's a
> good idea.

Sorry, I think I did not explain the problem well enough: Nothing in Xfce
depends on gnome-desktop(3) or libgnome-desktop-{2,3}. But stuff in the Xfce Spin does. PackageKit is Fedora's default package manager and gnome-packagekit now depends on control-center (which depends on libgnome-desktop). gnome-bluetooth is pulled in through bluez because it provides dbus-bluez-pin-helper (and depends on libgnome-desktop, too).

gnome-desktop(3) and it's dependencies add ~ 40 MB to the Xfce and LXDE spin while the libraries that are actually needed are just a few KB. And it's not only the spins that save a lot of overhead, but also many GNOME apps. Last but not least our overall distro saves a lot of space because the gnome-desktop(3)-data package could be noarch. libgnome-desktop and gnome-about are the only arch dependent parts of gnome-desktop, the rest is noarch.

Comment 4 Fedora End Of Life 2012-08-07 18:10:16 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Christoph Wickert 2012-10-06 22:54:39 UTC
Reopening, this time against rawhide so it doesn't get closed again.


Note You need to log in before you can comment on or make changes to this bug.